RObject Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
union {
struct {
long numiv
VALUE * ivptr
struct st_table * iv_index_tbl
} heap
VALUE ary [ROBJECT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 602 of file ruby.h.

## Field Documentation

VALUE RObject::ary[ROBJECT_EMBED_LEN_MAX]

Definition at line 610 of file ruby.h.

union { ... } RObject::as

struct RBasic RObject::basic

Definition at line 603 of file ruby.h.

struct { ... } RObject::heap

struct st_table* RObject::iv_index_tbl

Definition at line 608 of file ruby.h.

VALUE* RObject::ivptr

Definition at line 607 of file ruby.h.

long RObject::numiv

Definition at line 606 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h